ChangeSet 1.897.1.3, 2003/01/08 09:31:20-08:00, baldrick@wanadoo.fr

[PATCH] USB: atmsar is not a module

atmsar is not a module in its own right, it is an auxiliary library for speedtouch.
So remove module code from atmsar and build module speedtch from speedtouch and
atmsar.  Note the module name change speedtouch -> speedtch (speedtch is the name
 used for the original 2.4 module, and is the name used in the online documentation).


diff -Nru a/drivers/usb/misc/Makefile b/drivers/usb/misc/Makefile
--- a/drivers/usb/misc/Makefile	Wed Jan  8 11:55:01 2003
+++ b/drivers/usb/misc/Makefile	Wed Jan  8 11:55:01 2003
@@ -3,14 +3,14 @@
 # (the ones that don't fit into any other categories)
 #
 
-export-objs	:= atmsar.o
-
 obj-$(CONFIG_USB_AUERSWALD)	+= auerswald.o
 obj-$(CONFIG_USB_BRLVGER)	+= brlvger.o
 obj-$(CONFIG_USB_EMI26)		+= emi26.o
 obj-$(CONFIG_USB_LCD)		+= usblcd.o
 obj-$(CONFIG_USB_RIO500)	+= rio500.o
-obj-$(CONFIG_USB_SPEEDTOUCH)	+= speedtouch.o atmsar.o
+obj-$(CONFIG_USB_SPEEDTOUCH)	+= speedtch.o
 obj-$(CONFIG_USB_TEST)		+= usbtest.o
 obj-$(CONFIG_USB_TIGL)		+= tiglusb.o
 obj-$(CONFIG_USB_USS720)	+= uss720.o
+
+speedtch-objs := speedtouch.o atmsar.o
diff -Nru a/drivers/usb/misc/atmsar.c b/drivers/usb/misc/atmsar.c
--- a/drivers/usb/misc/atmsar.c	Wed Jan  8 11:55:01 2003
+++ b/drivers/usb/misc/atmsar.c	Wed Jan  8 11:55:01 2003
@@ -70,12 +70,6 @@
 */
 
 #include "atmsar.h"
-#include <linux/module.h>
-#include <linux/init.h>
-
-#define DRIVER_AUTHOR "Johan Verrept, Johan.Verrept@advalvas.be"
-#define DRIVER_DESC "General SAR library for ATM devices"
-#define DRIVER_VERSION "0.2.4A"
 
 /***********************
  **
@@ -693,28 +687,3 @@
 	PDEBUG ("atmsar_decode_aal5 returns pdu 0x%p with length %d\n", skb, skb->len);
 	return skb;
 };
-
-
-static int start (void)
-{
-	return 0;
-}
-
-static void cleanup (void)
-{
-}
-
-module_init (start);
-module_exit (cleanup);
-
-EXPORT_SYMBOL (atmsar_open);
-EXPORT_SYMBOL (atmsar_close);
-EXPORT_SYMBOL (atmsar_encode_rawcell);
-EXPORT_SYMBOL (atmsar_encode_aal5);
-EXPORT_SYMBOL (atmsar_decode_rawcell);
-EXPORT_SYMBOL (atmsar_decode_aal5);
-EXPORT_SYMBOL (atmsar_alloc_tx);
-
-MODULE_AUTHOR (DRIVER_AUTHOR);
-MODULE_DESCRIPTION (DRIVER_DESC);
-MODULE_LICENSE ("GPL");
